org.jgroups.stack

## Class ExponentialInterval

- java.lang.Object
- - org.jgroups.stack.ExponentialInterval

All Implemented Interfaces:
  Interval

    public class ExponentialInterval
    extends java.lang.Object
    implements Interval

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`ExponentialInterval()`
`ExponentialInterval(long value)`

### Method Summary

Methods
`Interval` `copy()` We don't need to copy as we don't have any state
`long` `next()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExponentialInterval

    public ExponentialInterval()

#### ExponentialInterval

    public ExponentialInterval(long value)

### Method Detail

#### next

    public long next()

Specified by:
  `next` in interface `Interval`
Returns:
  the next interval

#### copy

    public final Interval copy()

We don't need to copy as we don't have any state

Specified by:
  `copy` in interface `Interval`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`